Why do we get a HTTP 500 error when trying to start OneClick right after a 10.3.2 upgrade?

book

Article ID: 130360

calendar_today

Updated On:

Products

CA Spectrum

Issue/Introduction



Why after upgrading to Spectrum 10.3.2, does OneClick no longer allow me to login.
I get a 500 error when OneClick starts and in the tomcat log I see this error message several times

An error occurred at line: [31] in the generated java file: [:\Spectrum\tomcat\work\Catalina\localhost\spectrum\org\apache\jsp\index_jsp.java]
Syntax error, parameterized types are only available if source level is 1.5 or greater

...

Environment

Spectrum 10.3.2
Spectrum 10.3.1

Resolution

This is due to leftover Java JAR files, that are affecting OneClick startup.  The process to resolve this is as follows:

1. Stop Tomcat process.
2. Remove all old versions of ecj*.jar files located in the $SPECROOT/tomcat/lib directory, leaving only the current version of this file:
ecj-4.9.jar
3. Rename $SPECROOT/tomcat/work directory (it will be recreated on tomcat restart).
4. Start Tomcat.
 

Additional Information

This problem has also been seen when upgrading from Spectrum 10.2.3 to Spectrum 10.3.1 or 10.3.2.